FLANG

Classes | Public Member Functions | List of all members
Fortran::parser::AllSources Class Reference

## Public Member Functions
std::size_t | size () const
const char & | operator[] (Provenance) const
Encoding | encoding () const
AllSources & | set_encoding (Encoding e)
void | PushSearchPathDirectory (std::string)
std::string | PopSearchPathDirectory ()
const SourceFile * | Open (std::string path, llvm::raw_ostream &error)
const SourceFile * | ReadStandardInput (llvm::raw_ostream &error)
ProvenanceRange | AddIncludedFile (const SourceFile &, ProvenanceRange, bool isModule=false)
ProvenanceRange | AddMacroCall (ProvenanceRange def, ProvenanceRange use, const std::string &expansion)
ProvenanceRange | AddCompilerInsertion (std::string)
bool | IsValid (Provenance at) const
bool | IsValid (ProvenanceRange range) const
void | EmitMessage (llvm::raw_ostream &, const std::optional< ProvenanceRange > &, const std::string &message, bool echoSourceLine=false) const
const SourceFile * | GetSourceFile (Provenance, std::size_t *offset=nullptr) const
std::optional< SourcePosition > | GetSourcePosition (Provenance) const
std::optional< ProvenanceRange > | GetFirstFileProvenance () const
std::string | GetPath (Provenance) const
int | GetLineNumber (Provenance) const
Provenance | CompilerInsertionProvenance (char ch)
Provenance | CompilerInsertionProvenance (const char *, std::size_t)
ProvenanceRange | IntersectionWithSourceFiles (ProvenanceRange) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Parser/provenance.h
- lib/Parser/provenance.cpp